Bug 91223 - Package Gnus separately
Package Gnus separately
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-05-20 00:09 EDT by Tim Landscheidt
Modified: 2007-03-27 00:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-14 20:35:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Landscheidt 2003-05-20 00:09:05 EDT
ATM, Gnus is packaged as a part of Emacs. As Gnus' development cycle is not so closely 
connected to Emacs', updates of Gnus - whether keeping up with the Oort betas in the past or 
installing the current release 5.10 - are pretty complicated. 
It would be nice if Gnus was delivered as a separate package that can be updated separately 
as well. This amounts to just a little tweaking of emacs.spec.
Comment 1 Jens Petersen 2003-05-20 03:37:52 EDT
I sympathize with your suggestion.  It looks like gnus will finally
get updated in xemacs-sumo in the next release for example....

On the other hand I'm not keen on ripping stuff out of emacs, since
gnus is to some extent integrated into Emacs.

It is not that hard to install gnus in an elisp directory of one's own
or a system-wide site-lisp directory though...
Comment 2 Tim Landscheidt 2003-05-31 16:23:01 EDT
Your argument is coherent - so I adjust my plea: Provide separate packages for 
Gnus releases that are not shipped with the current Emacs :-). 
Comment 3 Jens Petersen 2004-01-14 20:35:19 EST
I suggest this is something for Fedora Extras (ie fedora.us).
If you or someone submits a gnus package there, that passes
qa, I think it will be accepted.

Note You need to log in before you can comment on or make changes to this bug.